diff --git a/example/multi-threaded-server.cpp b/example/multi-threaded-server.cpp
index b25a5609..d6c34fd7 100644
--- a/example/multi-threaded-server.cpp
+++ b/example/multi-threaded-server.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "grpc/health/v1/health.grpc.pb.h"
+#include "test/proto/grpc/health/v1/health.grpc.pb.h"
 #include "helloworld/helloworld.grpc.pb.h"
 #include "rethrow_first_arg.hpp"
 #include "server_shutdown_asio.hpp"
diff --git a/example/snippets/server.cpp b/example/snippets/server.cpp
index 4fb9d025..309cd276 100644
--- a/example/snippets/server.cpp
+++ b/example/snippets/server.cpp
@@ -13,7 +13,7 @@
 // limitations under the License.
 
 #include "example/v1/example.grpc.pb.h"
-#include "grpc/health/v1/health.grpc.pb.h"
+#include "test/proto/grpc/health/v1/health.grpc.pb.h"
 #include "helper.hpp"
 #include "server_shutdown_asio.hpp"
 
diff --git a/example/unifex-server.cpp b/example/unifex-server.cpp
index 41fcd97b..3a497215 100644
--- a/example/unifex-server.cpp
+++ b/example/unifex-server.cpp
@@ -14,7 +14,7 @@
 
 #include "example/v1/example.grpc.pb.h"
 #include "example/v1/example_ext.grpc.pb.h"
-#include "grpc/health/v1/health.grpc.pb.h"
+#include "test/proto/grpc/health/v1/health.grpc.pb.h"
 #include "helper.hpp"
 #include "server_shutdown_unifex.hpp"
 
diff --git a/src/agrpc/health_check_service.hpp b/src/agrpc/health_check_service.hpp
index dc7232cf..a304609e 100644
--- a/src/agrpc/health_check_service.hpp
+++ b/src/agrpc/health_check_service.hpp
@@ -28,8 +28,8 @@
 #include <string>
 
 #ifdef __has_include
-#if __has_include("grpc/health/v1/health.grpc.pb.h")
-#include <grpc/health/v1/health.grpc.pb.h>
+#if __has_include("test/proto/grpc/health/v1/health.grpc.pb.h")
+#include "test/proto/grpc/health/v1/health.grpc.pb.h"
 #endif
 #endif
 
diff --git a/test/example/test_examples.cpp b/test/example/test_examples.cpp
index e3a89e18..104c70e9 100644
--- a/test/example/test_examples.cpp
+++ b/test/example/test_examples.cpp
@@ -15,7 +15,7 @@
 #include "utils/free_port.hpp"
 
 #include <boost/process/child.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 #include <thread>
 
diff --git a/test/src/test_asio_grpc_17.cpp b/test/src/test_asio_grpc_17.cpp
index d62c9ff4..c0fd1db1 100644
--- a/test/src/test_asio_grpc_17.cpp
+++ b/test/src/test_asio_grpc_17.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/doctest.hpp"
 #include "utils/exception.hpp"
diff --git a/test/src/test_asio_grpc_20.cpp b/test/src/test_asio_grpc_20.cpp
index e6689008..c2fb3763 100644
--- a/test/src/test_asio_grpc_20.cpp
+++ b/test/src/test_asio_grpc_20.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/doctest.hpp"
 #include "utils/grpc_client_server_test.hpp"
diff --git a/test/src/test_execution.cpp b/test/src/test_execution.cpp
index 403e59a4..80a682eb 100644
--- a/test/src/test_execution.cpp
+++ b/test/src/test_execution.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/client_rpc.hpp"
 #include "utils/client_rpc_test.hpp"
 #include "utils/delete_guard.hpp"
diff --git a/test/src/test_grpc_stream_20.cpp b/test/src/test_grpc_stream_20.cpp
index 9e6d7e92..ef6c4fec 100644
--- a/test/src/test_grpc_stream_20.cpp
+++ b/test/src/test_grpc_stream_20.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/doctest.hpp"
 #include "utils/grpc_client_server_test.hpp"
diff --git a/test/src/test_health_check_service_17.cpp b/test/src/test_health_check_service_17.cpp
index 5e490d29..81bd53ef 100644
--- a/test/src/test_health_check_service_17.cpp
+++ b/test/src/test_health_check_service_17.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "grpc/health/v1/health.grpc.pb.h"
+#include "test/proto/grpc/health/v1/health.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/client_context.hpp"
 #include "utils/doctest.hpp"
diff --git a/test/src/test_notify_when_done_17.cpp b/test/src/test_notify_when_done_17.cpp
index f9e838f0..a5017ae7 100644
--- a/test/src/test_notify_when_done_17.cpp
+++ b/test/src/test_notify_when_done_17.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/destruction_tracker.hpp"
 #include "utils/doctest.hpp"
diff --git a/test/src/test_repeatedly_request_17.cpp b/test/src/test_repeatedly_request_17.cpp
index 00614959..63548091 100644
--- a/test/src/test_repeatedly_request_17.cpp
+++ b/test/src/test_repeatedly_request_17.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/doctest.hpp"
 #include "utils/grpc_client_server_test.hpp"
diff --git a/test/src/test_repeatedly_request_20.cpp b/test/src/test_repeatedly_request_20.cpp
index 2fc84b60..6d9d92f4 100644
--- a/test/src/test_repeatedly_request_20.cpp
+++ b/test/src/test_repeatedly_request_20.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/doctest.hpp"
 #include "utils/grpc_client_server_test.hpp"
diff --git a/test/src/test_server_rpc_17.cpp b/test/src/test_server_rpc_17.cpp
index e602301a..3817249b 100644
--- a/test/src/test_server_rpc_17.cpp
+++ b/test/src/test_server_rpc_17.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/client_rpc.hpp"
 #include "utils/client_rpc_test.hpp"
 #include "utils/doctest.hpp"
diff --git a/test/src/test_unifex_20.cpp b/test/src/test_unifex_20.cpp
index baf317ad..d48e1ba2 100644
--- a/test/src/test_unifex_20.cpp
+++ b/test/src/test_unifex_20.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/client_context.hpp"
 #include "utils/client_rpc.hpp"
diff --git a/test/utils/utils/client_rpc.hpp b/test/utils/utils/client_rpc.hpp
index a88fdfd7..a1eec80a 100644
--- a/test/utils/utils/client_rpc.hpp
+++ b/test/utils/utils/client_rpc.hpp
@@ -15,10 +15,10 @@
 #ifndef AGRPC_UTILS_CLIENT_RPC_HPP
 #define AGRPC_UTILS_CLIENT_RPC_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 
 #include <agrpc/client_rpc.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 namespace test
 {
diff --git a/test/utils/utils/client_rpc_test.hpp b/test/utils/utils/client_rpc_test.hpp
index fae5f18a..6e79fe03 100644
--- a/test/utils/utils/client_rpc_test.hpp
+++ b/test/utils/utils/client_rpc_test.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_CLIENT_RPC_TEST_HPP
 #define AGRPC_UTILS_CLIENT_RPC_TEST_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_forward.hpp"
 #include "utils/asio_utils.hpp"
 #include "utils/client_context.hpp"
@@ -27,7 +27,7 @@
 #include "utils/time.hpp"
 
 #include <agrpc/client_rpc.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 #include <functional>
 #include <type_traits>
diff --git a/test/utils/utils/doctest.hpp b/test/utils/utils/doctest.hpp
index 5343c623..ff81a92a 100644
--- a/test/utils/utils/doctest.hpp
+++ b/test/utils/utils/doctest.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_DOCTEST_HPP
 #define AGRPC_UTILS_DOCTEST_HPP
 
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 #include <type_traits>
 
diff --git a/test/utils/utils/execution_test.hpp b/test/utils/utils/execution_test.hpp
index 5452b8d7..0e5a1ba0 100644
--- a/test/utils/utils/execution_test.hpp
+++ b/test/utils/utils/execution_test.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_EXECUTION_TEST_HPP
 #define AGRPC_UTILS_EXECUTION_TEST_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/client_rpc.hpp"
 #include "utils/client_rpc_test.hpp"
 #include "utils/execution_utils.hpp"
diff --git a/test/utils/utils/grpc_client_server_test.cpp b/test/utils/utils/grpc_client_server_test.cpp
index ea26e25a..f384968e 100644
--- a/test/utils/utils/grpc_client_server_test.cpp
+++ b/test/utils/utils/grpc_client_server_test.cpp
@@ -14,7 +14,7 @@
 
 #include "utils/grpc_client_server_test.hpp"
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 
 #include <grpcpp/server_context.h>
 
diff --git a/test/utils/utils/grpc_client_server_test.hpp b/test/utils/utils/grpc_client_server_test.hpp
index 46dccfb4..6085d5bc 100644
--- a/test/utils/utils/grpc_client_server_test.hpp
+++ b/test/utils/utils/grpc_client_server_test.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_GRPC_CLIENT_SERVER_TEST_HPP
 #define AGRPC_UTILS_GRPC_CLIENT_SERVER_TEST_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/grpc_client_server_test_base.hpp"
 
 #include <grpcpp/server_context.h>
diff --git a/test/utils/utils/grpc_format.cpp b/test/utils/utils/grpc_format.cpp
index 6442453d..5dc4d5dc 100644
--- a/test/utils/utils/grpc_format.cpp
+++ b/test/utils/utils/grpc_format.cpp
@@ -14,7 +14,7 @@
 
 #include "utils/grpc_format.hpp"
 
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 #include <grpcpp/support/status_code_enum.h>
 
 namespace grpc
diff --git a/test/utils/utils/grpc_format.hpp b/test/utils/utils/grpc_format.hpp
index 93bfde4c..a8b5b07c 100644
--- a/test/utils/utils/grpc_format.hpp
+++ b/test/utils/utils/grpc_format.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_GRPCFORMAT_HPP
 #define AGRPC_UTILS_GRPCFORMAT_HPP
 
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 #include <grpcpp/support/status_code_enum.h>
 
 namespace grpc
diff --git a/test/utils/utils/introspect_rpc.hpp b/test/utils/utils/introspect_rpc.hpp
index f9c20db5..943cd2f6 100644
--- a/test/utils/utils/introspect_rpc.hpp
+++ b/test/utils/utils/introspect_rpc.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_INTROSPECT_RPC_HPP
 #define AGRPC_UTILS_INTROSPECT_RPC_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_forward.hpp"
 
 #include <agrpc/client_rpc.hpp>
diff --git a/test/utils/utils/main.cpp b/test/utils/utils/main.cpp
index 3715286c..0788e25b 100644
--- a/test/utils/utils/main.cpp
+++ b/test/utils/utils/main.cpp
@@ -15,7 +15,7 @@
 #include <gmock/gmock.h>
 
 #define DOCTEST_CONFIG_IMPLEMENT
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 int main(int argc, char** argv)
 {
diff --git a/test/utils/utils/precompiled_header.hpp b/test/utils/utils/precompiled_header.hpp
index 2df5e8e7..8dfd91cf 100644
--- a/test/utils/utils/precompiled_header.hpp
+++ b/test/utils/utils/precompiled_header.hpp
@@ -12,10 +12,10 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 
 #include <agrpc/detail/memory_resource.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 #include <google/protobuf/arena.h>
 #include <google/protobuf/extension_set.h>
 #include <google/protobuf/generated_message_reflection.h>
diff --git a/test/utils/utils/protobuf.hpp b/test/utils/utils/protobuf.hpp
index 903b323a..edb583ac 100644
--- a/test/utils/utils/protobuf.hpp
+++ b/test/utils/utils/protobuf.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_PROTOBUF_HPP
 #define AGRPC_UTILS_PROTOBUF_HPP
 
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 #include <grpcpp/impl/codegen/proto_utils.h>
 #include <grpcpp/support/proto_buffer_reader.h>
 #include <grpcpp/support/proto_buffer_writer.h>
diff --git a/test/utils/utils/rpc.cpp b/test/utils/utils/rpc.cpp
index 3812fc83..86c5eea8 100644
--- a/test/utils/utils/rpc.cpp
+++ b/test/utils/utils/rpc.cpp
@@ -14,14 +14,14 @@
 
 #include "utils/rpc.hpp"
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_forward.hpp"
 #include "utils/client_context.hpp"
 #include "utils/time.hpp"
 
 #include <agrpc/grpc_context.hpp>
 #include <agrpc/rpc.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 namespace test
 {
diff --git a/test/utils/utils/rpc.hpp b/test/utils/utils/rpc.hpp
index 3326abae..7debf04d 100644
--- a/test/utils/utils/rpc.hpp
+++ b/test/utils/utils/rpc.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_RPC_HPP
 #define AGRPC_UTILS_RPC_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_forward.hpp"
 #include "utils/client_context.hpp"
 #include "utils/grpc_format.hpp"
@@ -23,7 +23,7 @@
 
 #include <agrpc/grpc_context.hpp>
 #include <agrpc/rpc.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 namespace test
 {
diff --git a/test/utils/utils/server_rpc.hpp b/test/utils/utils/server_rpc.hpp
index a23d04b5..7fec530f 100644
--- a/test/utils/utils/server_rpc.hpp
+++ b/test/utils/utils/server_rpc.hpp
@@ -15,11 +15,11 @@
 #ifndef AGRPC_UTILS_SERVER_RPC_HPP
 #define AGRPC_UTILS_SERVER_RPC_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 
 #include <agrpc/default_server_rpc_traits.hpp>
 #include <agrpc/server_rpc.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 namespace test
 {
diff --git a/test/utils/utils/test.hpp b/test/utils/utils/test.hpp
index efc2cf74..237b8109 100644
--- a/test/utils/utils/test.hpp
+++ b/test/utils/utils/test.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_TEST_HPP
 #define AGRPC_UTILS_TEST_HPP
 
-#include "test/v1/test_mock.grpc.pb.h"
+#include "test/proto/test/v1/test_mock.grpc.pb.h"
 #include "utils/grpc_context_test.hpp"
 
 namespace test
diff --git a/test/utils/utils/test_server.hpp b/test/utils/utils/test_server.hpp
index 9e0e3056..250f82ff 100644
--- a/test/utils/utils/test_server.hpp
+++ b/test/utils/utils/test_server.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_TEST_SERVER_HPP
 #define AGRPC_UTILS_TEST_SERVER_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 
 #include <agrpc/rpc.hpp>
 
